Toad World® Forums

Exceptions on several UI functions


#1

Hi,

Getting errors that look like this:


Error


Error - Access violation at address 18032199 in module ‘scriptproxy.dll’. Read of address 00000000


OK


Got similar (only varying in address) errors when:

a) Reverse Engineering

b) Whenever you bring up properties for a schema element on the diagram or otherwise

c) Navigating by expanding hierarchies of schema objects

– And many other places.

ENV Details:

a) Running TDM (Version: 3.0.8.193) on Windows XP SP 2

b) Connecting to PostgreSQL 8.2.4 db server (Running on RHEL 4.0)

The UI seems to be not very stable as yet… Any patches? TDM is almost unusable in the current state.

Have others encountered “scriptproxy.dll” issues (perhaps for different flavors of databases), as I couldn’t find the keyword on the discussion forum.

2 Questions to be asked here:

  1. Is this a PostgreSQL specific issue?

  2. Does it have something to do with PostgreSQL 8.2.4? - Don’t have a PostgreSQL 8.1 installation. That would be a litmus test from my side.

Thanks,

Janardhan Prabhakara

(jprabhakara@voyence.com)

tdm-ui-problems.jpeg


#2

Note: This error occurs when TDM 3 attemps to execute a script and is not successful. As TDM 3 needs scripts for its functionality, you’ve encountered this error during different operations.
The error has nothing to do with PostgreSQL.

Concerning PostgreSQL 8.2, only version 8.1 is officially supported at the moment. PostgreSQL 8.2 will be supported in the future. Anyway, we cannot guarantee that RE scripts for v. 8.1 will work for v. 8.2 too. This has not been tested.

Please let me know the result in re the issue with the antivir program. Thanks.

I look forward to hearing from you soon.

Regards,

Vladka

Hello,

This problem is probably caused by the antivir program. What antivir program do you use?

Please read:
http://modeling.inside.quest.com/thread.jspa?threadID=2824&tstart=30


#3

Hi,

I agree that the issue is not PostgreSQL specific (from all the other posts. Wonder why nothing came up in the search for “scriptproxy.dll” when there is infact so much information out there!)… thought I would mention the fact just in case scripts run for PostgreSQL had a problem.

I am using: McAfee VirusScan Enterprise 8.0.0
As per: http://modeling.inside.quest.com/thread.jspa?messageID=9113&#9113
is the issue fixed for McAfee 8.5? If so, I could perhaps upgrade the antivirus…

Is unreging scriptproxy.dll the only other way? It did work for me, nonetheless http://modeling.inside.quest.com/thread.jspa?threadID=3293&tstart=0

Wouldn’t this basically disable MacAfee’s ability to scan JScript and WSH capable scripts?
The solution is alright temporarily, but the users wouldn’t want to compromise with core features of another products in lieu of using TDM features.

Thanks,
Janardhan


#4

Hi,

I agree that the issue is not PostgreSQL specific (from all theother posts. Wonder why nothing came up in the search for"scriptproxy.dll" when there is infact so much information outthere!)… thought I would mention the fact just in case scripts runfor PostgreSQL had a problem.

I am using: McAfee VirusScan Enterprise 8.0.0
As per: http://modeling.inside.quest.com/thread.jspa?messageID=9113&#9113
is the issue fixed for McAfee 8.5? If so, I could perhaps upgrade the antivirus…

Is unreging scriptproxy.dll the only other way? It did work for me, nonetheless http://modeling.inside.quest.com/thread.jspa?threadID=3293&tstart=0

Wouldn’t this basically disable MacAfee’s ability to scan JScript and WSH capable scripts?
The solution is alright temporarily, but the users wouldn’t want tocompromise with core features of another products in lieu of using TDMfeatures.

Thanks,
Janardhan

P.S - Reposting - Had replied to myself earlier!


#5

Hello,

Please update to McAfee VirusScan Enterprise 8.5, and feel free to check out if TDM 3 works properly for you.

Thanks for letting us know.

Regards,

Vladka